<header class="header">
    <h3 class="o-form__section-headline">Kinder</h3>
</header>
<p>Es können maximal {settings.maxCountOfChildren} Kinder für {aCourseData.service_desc} angemeldet werden.
<f:if condition="{settings.Required.child}">
<br/>Bitte tragen Sie mindestens ein Kind hier ein:
</f:if>
</p>
<f:for as="sub_num" each="{number_children}" iteration="sub_iterator">
    <details <f:if condition="{sub_iterator.isFirst}">open</f:if>>
    <summary>
        {sub_iterator.cycle}. Kind
    </summary>
        <div class="o-form__item-group children">
            <div class="o-form__item t-medium-5 columns">
                <f:form.select class="o-form__field o-form__field--select" id="sub{sub_num}_anrede"
                               name="sub[{sub_num}][anrede]" options="{prefix_child_array}"/>
                <label class="o-form__label" for="sub{sub_num}_anrede">Geschlecht</span></label>
            </div>
            <div class="o-form__item t-medium-7 columns">
                <f:if condition="{0: settings.Required.child, 1: sub_num} == {0: '1', 1: 0}">
                    <f:then>
                        <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_vorname" name="sub[{sub_num}][vorname]"
                                          value="" required="required"/>
                        <label class="o-form__label" for="sub{sub_num}_vorname">Vorname<span class="must">*</span></label>
                    </f:then>
                    <f:else>
                        <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_vorname" name="sub[{sub_num}][vorname]"
                                          value=""/>
                        <label class="o-form__label" for="sub{sub_num}_vorname">Vorname</label>
                    </f:else>
                </f:if>
            </div>
            <div class="o-form__item t-medium-7 columns">
                <f:if condition="{0: settings.Required.child, 1: sub_num} == {0: '1', 1: 0}">
                    <f:then>
                        <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_name" name="sub[{sub_num}][name]"
                                          value="" required="required"/>
                        <label class="o-form__label" for="sub{sub_num}_name">Nachname<span class="must">*</span></label>

                    </f:then>
                    <f:else>
                        <f:form.textfield class="o-form__field o-form__field--text" id="sub{sub_num}_name" name="sub[{sub_num}][name]"
                                          value=""/>
                        <label class="o-form__label" for="sub{sub_num}_name">Nachname</label>
                    </f:else>
                </f:if>

            </div>
            <f:if condition="{aShowFields.pBirthday}">
                <f:then>
                    <f:if condition="{0: settings.requirePrivatBirthdayField, 1: settings.Required.child, 2: sub_num} == {0: '1', 1: '1', 2: 0}">
                        <f:then>
                            <div class="o-form__item t-medium-5 columns is-last-in-row">
                                <f:form.textfield class="date o-form__field o-form__field--text" id="sub{sub_num}_geburtsdatum"
                                                  name="sub[{sub_num}][geburtsdatum]" required="required" type="date"
                                                  data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
                                <label class="o-form__label" for="sub{sub_num}_geburtsdatum">Geburtstag<span class="must">*</span></label>
                            </div>
                        </f:then>
                        <f:else>
                            <div class="o-form__item t-medium-5 columns is-last-in-row">
                                <f:form.textfield class="date o-form__field o-form__field--text" id="sub{sub_num}_geburtsdatum"
                                                  name="sub[{sub_num}][geburtsdatum]" type="date" data="{parsley-error-message: 'Bitte korrektes Geburtsdatum eingeben.'}"/>
                                <label class="o-form__label" for="sub{sub_num}_geburtsdatum">Geburtstag<span class="nomust"></span></label>
                            </div>
                        </f:else>
                    </f:if>
                </f:then>
                <f:else>
                    <div class="o-form__item t-medium-5 columns is-last-in-row">
                        &nbsp;
                    </div>
                </f:else>
            </f:if>
        </div>
    </details>
</f:for>
<f:if condition="{settings.requirePrivatBirthdayField}">
    <f:form.hidden name="requirePrivatBirthday" id="requirePrivatBirthday" value="{settings.requirePrivatBirthdayField}"/>
</f:if>

